Fetch Channel Status

API gives fetch individual channel (ECOM, POS, ATM, and CL (Contactless)) status details for all the associates of the prepaid account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
mobileStringOCustomer mobile number

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/fetchChannelDetails' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"mobile": "7428585742"
}'
POST /cards/prepaid/fetchChannelDetails HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
"mobile": "7428585742"
}
📘

Response Parameters

For Response Reference Click here

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": [
        {
            "cardType": "PHYSICAL",
            "kitNumber": "17******73",
            "ECOM": "Enabled",
            "POS": "Disabled",
            "ATM": "Enabled",
            "CL": "Enabled"
        },
        {
            "cardType": "VIRTUAL",
            "kitNumber": "17******19",
            "ECOM": "Enabled",
            "POS": "Disabled",
            "ATM": "Disabled",
            "CL": "Disabled"
        }
    ],
    "timestamp": "2022-01-31 11:10:37",
    "ipay_uuid": "h0059be29cf0-9bc1-49ed-86bd-36ca6d0f6ed9-LmzZmBCOb7tc",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null

}
📘

Action Code Details

For Action Code details Click here

Body Params
string

Customer mobile number

Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json